Bug 175133 - pulse core dumps on DOS mangled config file.
pulse core dumps on DOS mangled config file.
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 16:13 EST by Lon Hohberger
Modified: 2009-04-16 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 15:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2005-12-06 16:13:27 EST
+++ This bug was initially created as a clone of Bug #154103 +++

Description of problem:

In the course of diagnosing #154102 I shipped the customer a new lvs.cf file
that I had manually edited. It was unpacked on a MS box and ended up with CR-LF
line termination. When attempting to use the file pulse core dumped (SEGV) on
startup.

Version-Release number of selected component (if applicable):


How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

work or complain.

Additional info:

-- Additional comment from lhh@redhat.com on 2005-04-14 13:04 EST --
For now, use 'dos2unix' to convert.  I'll work on fixing it soon.

-- Additional comment from lhh@redhat.com on 2005-11-21 17:15 EST --
Created an attachment (id=121321)
Fixes DOS handling


-- Additional comment from lhh@redhat.com on 2005-11-22 13:01 EST --
I tested this.  Although my instance of pulse did not segfault on startup, it
falsely reported that there were no active services.  This leads me to believe
that this is the fix, as I have not been able to find any other place in the
code where newlines/carriage-returns were not both handled.


--------------

Duplicate copy for RHCS3
Comment 1 Lon Hohberger 2007-06-14 15:56:05 EDT
Closing - wontfix.  Workaround exists: use dos2unix on rhel3.

Note You need to log in before you can comment on or make changes to this bug.